package dev.peerat.mapping.providers.mysql;

import dev.peerat.mapping.providers.Compass;

public class MySQLCompass implements Compass{

	private String host;
	private int port;
	private String database;
	private String user;
	private String password;
	
	public MySQLCompass(String host, int port, String database, String user, String password){
		this.host = host;
		this.port = port;
		this.database = database;
		this.user = user;
		this.password = password;
	}
	
	public String getHost(){
		return this.host;
	}
	
	public int getPort(){
		return this.port;
	}
	
	public String getDatabase(){
		return this.database;
	}
	
	public String getUser(){
		return this.user;
	}
	
	public String getPassword(){
		return this.password;
	}
}
